## freeswitch-4bd36916b38f02e702ef13405b7e0c7154dcacb4.zip

=== build/Makefile ===
all:

	@echo " +-------- FreeSWITCH Build Complete -----------+"  
	@echo " + FreeSWITCH has been successfully built.	+"  
	@echo " + Install by running:				+"
	@echo " +						+"
	@echo " +		$(MAKE) install			+"  
	@echo " +----------------------------------------------+"  

install:
	@echo " +-------- FreeSWITCH install Complete ---------+"  
	@echo " + FreeSWITCH has been successfully installed.	+"  
	@echo " +						+"
	@echo " +	Install sounds:				+"
	@echo " +	(uhd-sounds includes hd-sounds, sounds)	+"
	@echo " +	(hd-sounds includes sounds)		+"
	@echo " +	------------------------------------	+"
	@echo " +		$(MAKE) uhd-sounds-install 	+"  
	@echo " +		$(MAKE) uhd-moh-install		+"  
	@echo " +						+"
	@echo " +		$(MAKE) hd-sounds-install  	+"  
	@echo " +		$(MAKE) hd-moh-install		+"  
	@echo " +						+"
	@echo " +		$(MAKE) sounds-install		+"  
	@echo " +		$(MAKE) moh-install		+"  
	@echo " +						+"
	@echo " +	Upgrade to latest:			+"
	@echo " +	----------------------------------	+"
	@echo " +		$(MAKE) current			+"  
	@echo " +						+"
	@echo " +	Rebuild all:				+"
	@echo " +	----------------------------------	+"
	@echo " +		$(MAKE) sure			+"  
	@echo " +						+"
	@echo " +	Install/Re-install default config:	+"
	@echo " +	----------------------------------	+"
	@echo " +		$(MAKE) samples			+"  
	@echo " +						+"
	@echo " +						+"
	@echo " +	Additional resources:			+"
	@echo " +	----------------------------------	+"
	@echo " +	http://www.freeswitch.org		+"
	@echo " +	http://wiki.freeswitch.org		+"
	@echo " +	http://jira.freeswitch.org		+"
	@echo " +	http://lists.freeswitch.org		+"
	@echo " +						+"
	@echo " +	irc.freenode.net / #freeswitch		+"
	@echo " +						+"
	@echo " +----------------------------------------------+"  



.PHONY: check dvi html info install-data \
        install-dvi install-exec install-html install-info install-pdf install-ps installcheck installdirs pdf \
        ps uninstall mostlyclean clean distclean maintainer-clean

=== libs/udns/Makefile ===
#! /usr/bin/make -rf
# $Id: Makefile,v 1.42 2006/11/29 21:27:01 mjt Exp $
# libudns Makefile
#
# Copyright (C) 2005  Michael Tokarev <mjt@corpit.ru>
# This file is part of UDNS library, an async DNS stub resolver.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library, in file named COPYING.LGPL; if not,
# write to the Free Software Foundation, Inc., 59 Temple Place,
# Suite 330, Boston, MA  02111-1307  USA

VERS   = 0.0.9pre
SRCS   = udns_dn.c udns_dntosp.c udns_parse.c udns_resolver.c udns_misc.c \
	udns_rr_a.c udns_rr_ptr.c udns_rr_mx.c udns_rr_txt.c udns_bl.c \
	udns_rr_srv.c udns_rr_naptr.c udns_codes.c
USRCS  = dnsget.c rblcheck.c ex-rdns.c
DEB    = debian/copyright debian/changelog debian/control debian/rules
DIST   = COPYING.LGPL udns.h udns.3 dnsget.1 rblcheck.1 $(SRCS) $(USRCS) \
	Makefile TODO NOTES

OBJS   = $(SRCS:.c=.o) $(GEN:.c=.o)
LIB    = libudns.a

SOVER  = 0
SOBJS  = $(OBJS:.o=.lo)
SOLIB  = libudns.so
SOLIBV = $(SOLIB).$(SOVER)

LIBS   = $(LIB) $(SOLIBV)

UTILS   = $(USRCS:.c=)
SOUTILS = $(USRCS:.c=.shared)

NAMEPFX = udns-$(VERS)

CC = gcc
CFLAGS = -Wall -W -Wmissing-prototypes -O2 -fPIC
CDEFS = -DHAVE_POLL
PICFLAGS = -fPIC
AWK = awk

all: static

.SUFFIXES: .c .o .lo .shared

static: $(LIB) $(UTILS)
staticlib: $(LIB)
$(LIB): $(OBJS)
	-rm -f $@
	$(AR) rv $@ $(OBJS)
.c.o:
	$(CC) $(CFLAGS) $(CDEFS) -c $<
$(OBJS): udns.h

$(UTILS): udns.h $(LIB)
.c:
	$(CC) $(CFLAGS) $(CDEFS) -o $@ $< $(LIB)

shared: $(SOLIBV) $(SOUTILS)
sharedlib: $(SOLIBV)

$(SOLIBV): $(SOBJS)
	$(CC) -shared -Wl,--soname,$(SOLIBV) -o $@ $(SOBJS)
	rm -f $(SOLIB)
	ln -s $(SOLIBV) $(SOLIB)
.c.lo:
	$(CC) $(CFLAGS) $(PICFLAGS) $(CDEFS) -o $@ -c $<
$(SOBJS): udns.h

$(SOUTILS): udns.h $(SOLIB)
.c.shared:
	$(CC) $(CFLAGS) $(CDEFS) -o $@ $< $(SOLIB)

# udns_codes.c is generated from udns.h
udns_codes.c:	udns.h Makefile
	@echo Generating $@
	@set -e; exec >$@.tmp; \
	set T type C class R rcode; \
	echo "/* Automatically generated. */"; \
	echo "#include \"udns.h\""; \
	while [ "$$1" ]; do \
	 echo; \
	 echo "const struct dns_nameval dns_$${2}tab[] = {"; \
	 $(AWK) "/^  DNS_$${1}_[A-Z0-9_]+[ 	]*=/ \
	  { printf \" {%s,\\\"%s\\\"},\\n\", \$$1, substr(\$$1,7) }" \
	  udns.h ; \
	 echo " {0,0}};"; \
	 echo "const char *dns_$${2}name(enum dns_$${2} code) {"; \
	 echo " static char nm[20];"; \
	 echo " switch(code) {"; \
	 $(AWK) "BEGIN{i=0} \
	   /^  DNS_$${1}_[A-Z0-9_]+[ 	]*=/ \
	   {printf \" case %s: return dns_$${2}tab[%d].name;\\n\",\$$1,i++}\
	   " udns.h ; \
	 echo " }"; \
	 echo " return _dns_format_code(nm,\"$$2\",code);"; \
	 echo "}"; \
	 shift 2; \
	done
	@mv $@.tmp $@

udns.3.html: udns.3
	groff -man -Thtml udns.3 > $@.tmp
	mv $@.tmp $@

dist: $(NAMEPFX).tar.gz
$(NAMEPFX).tar.gz: $(DIST) $(DEB)
	mkdir $(NAMEPFX) $(NAMEPFX)/debian
	ln $(DIST) $(NAMEPFX)
	ln $(DEB) $(NAMEPFX)/debian
	tar cvfz $@ $(NAMEPFX)
	rm -rf $(NAMEPFX)
subdist:
	cp -p $(DIST) $(TARGET)/

clean:
	rm -f $(OBJS) $(SOBJS) build-stamp
distclean: clean
	rm -f $(LIBS) libudns.so udns.3.html $(UTILS) $(SOUTILS)

.PHONY: all static staticlib shared sharedlib dist clean distclean subdist

=== libs/xmlrpc-c/Makefile ===
# The make files for this package exploit features of GNU Make that
# other Makes do not have.  Because it is a common mistake for users
# to try to build with a different Make, we have this make file that
# does nothing but tell the user to use GNU Make.

# If the user were using GNU Make now, this file would not get used because
# GNU Make uses a make file named "GNUmakefile" in preference to "Makefile"
# if it exists.  This package contains a "GNUmakefile".

all install clean dep depend:
	@echo "You must use GNU Make to build this.  You are running some "
	@echo "other Make.  GNU Make may be installed on your system with "
	@echo "the name 'gmake'.  If not, see http://www.gnu.org/software ."
	@echo

=== libs/xmlrpc-c/lib/libwww_transport/Makefile ===
ifeq ($(SRCDIR)x,x)
SRCDIR = $(CURDIR)/../..
endif

include $(SRCDIR)/Makefile.config

LIBWWW_INCLUDES := $(shell libwww-config --cflags)

CFLAGS = $(CFLAGS_COMMON) $(CFLAGS_PERSONAL) $(CADD)
LDFLAGS = -lpthread $(LADD)

INCLUDES = -I$(SRCDIR) -I$(SRCDIR)/include -I$(SRCDIR)/lib/util/include \
  $(LIBWWW_INCLUDES)

default: all

.PHONY: all
all: xmlrpc_libwww_transport.lo

.PHONY: clean
clean: clean-common

.PHONY: distclean
distclean: clean distclean-common

.PHONY: tags
tags: TAGS

.PHONY: distdir
distdir:

.PHONY: install
install:

.PHONY: dep
dep: dep-common

include $(SRCDIR)/Makefile.common

include Makefile.depend

xmlrpc_libwww_transport.lo:%.lo:%.c
	$(LIBTOOL) --mode=compile $(CC) -c $(INCLUDES) $(CFLAGS) $<

=== libs/xmlrpc-c/lib/wininet_transport/Makefile ===
ifeq ($(SRCDIR)x,x)
SRCDIR = $(CURDIR)/../..
endif

include $(SRCDIR)/Makefile.config

CFLAGS = $(CFLAGS_COMMON) $(CFLAGS_PERSONAL) $(CADD)
LDFLAGS = -lpthread $(LADD)

INCLUDES = -I$(SRCDIR) -I$(SRCDIR)/src

default: all

.PHONY: all
all: xmlrpc_wininet_transport.lo

.PHONY: clean
clean: clean-common

.PHONY: distclean
distclean: clean distclean-common

.PHONY: tags
tags: TAGS

.PHONY: distdir
distdir:

.PHONY: install
install:

.PHONY: dep
dep: dep-common

include $(SRCDIR)/Makefile.common

include Makefile.depend

xmlrpc_wininet_transport.lo:%.lo:%.c
	$(LIBTOOL) --mode=compile $(CC) -c $(INCLUDES) $(CFLAGS) $<

=== libs/xmlrpc-c/tools/xmlrpc_transport/Makefile ===
ifeq ($(SRCDIR)x,x)
SRCDIR = $(CURDIR)/../..
BUILDDIR = $(SRCDIR)
endif

all: xmlrpc_transport

include $(BUILDDIR)/Makefile.config

PROGRAMS_TO_INSTALL = xmlrpc_transport

include ../Makefile.common

INCLUDES = -I$(SRCDIR) -I$(SRCDIR)/include -I$(SRCDIR)/lib/util/include

CFLAGS = $(CFLAGS_COMMON) $(INCLUDES) $(CFLAGS_PERSONAL) $(CADD)

LDFLAGS = $(CLIENT_LDFLAGS) $(LADD)

UTIL_OBJS = cmdline_parser.o getoptx.o
UTILS = $(UTIL_OBJS:%=$(UTIL_DIR)/%)

xmlrpc_transport:%:%.o $(LIBXMLRPC_CLIENT) $(LIBXMLRPC) $(LIBXML) $(UTILS)
	$(LIBTOOL) --mode=link $(CCLD) -o $@ $(LDFLAGS) $^

%.o:%.c
	$(LIBTOOL) --mode=compile $(CC) -c $(CFLAGS) $<

*.c: config.h

config.h:
	$(LN_S) $(BUILDDIR)/xmlrpc_config.h $@

include Makefile.depend

.PHONY: dep
dep: dep-common

.PHONY: clean
clean: clean-common
	rm -f xmlrpc config.h

.PHONY: distclean
distclean: clean distclean-common

=== src/mod/applications/mod_esf/Makefile ===
BASE=../../../..
include $(BASE)/build/modmake.rules

=== src/mod/asr_tts/mod_openmrcp/Makefile ===
# define these targets in your makefile if you wish
# local_all local_depend local_clean depend_install local_install local_distclean local_extraclean:

# TODO
# - needs to compile/link against the _freeswitch_ sofia libs (see FIXME)

OPENMRCP_DIR=../../../../libs/openmrcp

OPENMRCP_INCLUDE=-I$(OPENMRCP_DIR)/mrcpcore/client/include/ -I$(OPENMRCP_DIR)/platform/libopenmrcpclient/include/ -I$(OPENMRCP_DIR)/aprtoolkit/include/ -I$(OPENMRCP_DIR)/mediaframe/include/ -I$(OPENMRCP_DIR)/mrcpcore/engine/include/ -I$(OPENMRCP_DIR)/mrcpcore/include/ -I$(OPENMRCP_DIR)/mrcpcore/parser/include/ -I$(OPENMRCP_DIR)/mrcpcore/server/include/ -I$(OPENMRCP_DIR)/mrcpcore/media/include/ -I$(OPENMRCP_DIR)/mrcpcore/util/include -I$(OPENMRCP_DIR)/mrcpcore/resource/include/

OPENMRCP_LIBS=$(OPENMRCP_DIR)/platform/libopenmrcpclient/.libs/libopenmrcpclient.a $(OPENMRCP_DIR)/mrcpcore/client/.libs/libmrcpclient.a $(OPENMRCP_DIR)/mediaframe/.libs/libmediaframe.a $(OPENMRCP_DIR)/mrcpcore/engine/.libs/libmrcpengine.a $(OPENMRCP_DIR)/mrcpcore/parser/.libs/libmrcpparser.a $(OPENMRCP_DIR)/mrcpcore/media/.libs/libmrcpmedia.a $(OPENMRCP_DIR)/mrcpcore/resource/.libs/libmrcpresource.a $(OPENMRCP_DIR)/module/mrcpv2agent/.libs/libmrcpv2agent.a $(OPENMRCP_DIR)/module/mrcpmediaframe/.libs/libmrcpmediaframe.a $(OPENMRCP_DIR)/module/mrcpsofiasip/.libs/libmrcpsofiasip.a $(OPENMRCP_DIR)/mrcpcore/.libs/libmrcpcore.a $(OPENMRCP_DIR)/aprtoolkit/.libs/libaprtoolkit.a

MRCP_APR_INCLUDES =  -I../../../../libs/apr/include
MRCP_APU_INCLUDES =  -I../../../../libs/apr-util/include

#do not specify gcc specific compiler flags
#LOCAL_CFLAGS= -Wno-unused -Wno-comment -Wno-sign-compare
LOCAL_CFLAGS= $(OPENMRCP_INCLUDE) $(MRCP_APR_INCLUDES) $(MRCP_APU_INCLUDES) 

LOCAL_LIBADD=$(OPENMRCP_LIBS)

LOCAL_INSERT_LDFLAGS=if test $$osarch = "Darwin" ; then echo "-framework CoreFoundation -framework SystemConfiguration -lssl -lcrypto" ; fi ;

SOFIA_DIR=../../../../libs/sofia-sip
SOFIAUA_DIR=$(SOFIA_DIR)/libsofia-sip-ua
SOFIALA=$(SOFIAUA_DIR)/libsofia-sip-ua.la

include ../../../../build/modmake.rules

$(OPENMRCP_DIR)/Makefile: $(OPENMRCP_DIR)/.update
	cd $(OPENMRCP_DIR) && ./bootstrap && ./configure --with-apr=../apr --with-apr-util=../apr-util --with-sofia-sip=../sofia-sip
	$(TOUCH_TARGET)

$(OPENMRCP_LIBS): $(SOFIALA) $(OPENMRCP_DIR)/Makefile
	cd $(OPENMRCP_DIR) && $(MAKE)
	$(TOUCH_TARGET)

$(SOFIALA): $(SOFIA_DIR) $(SOFIA_DIR)/.update
	cd $(SOFIA_DIR) && $(MAKE)
	$(TOUCH_TARGET)

../../../../libs/sofia-sip/libsofia-sip-ua/nua/sofia-sip/nua_tag.h: $(SOFIALA)

=== src/mod/event_handlers/mod_zeroconf/Makefile ===
switch_srcdir=../../../..

HOWL=howl-1.0.0
HOWL_DIR=$(switch_srcdir)/libs/$(HOWL)
HOWLLA=$(HOWL_DIR)/src/lib/howl/libhowl.la

LOCAL_CFLAGS=-I$(HOWL_DIR)/include
LOCAL_LIBADD=$(HOWLLA)

DEFAULT_ARGS=--prefix=$(PREFIX) --disable-shared --with-pic

include $(switch_srcdir)/build/modmake.rules

$(HOWL_DIR):
	$(GETLIB) $(HOWL).tar.gz
	cd $(HOWL_DIR) && ./configure $(DEFAULT_ARGS)

$(HOWLLA): $(HOWL_DIR)
	cd $(HOWL_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/formats/mod_shout/Makefile ===
LAME=lame-3.97
SHOUT=libshout-2.2.2
switch_srcdir=../../../..

WANT_CURL=yes

LAME_DIR=$(switch_srcdir)/libs/$(LAME)
SHOUT_DIR=$(switch_srcdir)/libs/$(SHOUT)

LAMELA=$(LAME_DIR)/libmp3lame/libmp3lame.la
SHOUTLA=$(SHOUT_DIR)/src/libshout.la

LOCAL_CFLAGS=-I$(SHOUT_DIR)/include -I$(LAME_DIR)/include
LOCAL_LIBADD=$(LAMELA) $(SHOUTLA) 

LOCAL_LDFLAGS=`cat ../../../../libs/libshout-2.2.2/Makefile | grep SPEEX_LIBS | sed -e 's|^SPEEX_LIBS =||'`
MP3SOURCES=common.c dct64_i386.c decode_ntom.c layer3.c tabinit.c interface.c
MP3OBJS=common.o dct64_i386.o decode_ntom.o layer3.o tabinit.o interface.o
LOCAL_OBJS=$(MP3OBJS)
LOCAL_SOURCES=$(MP3SOURCES)

include $(switch_srcdir)/build/modmake.rules

DEFAULT_ARGS=--prefix=$(PREFIX) --disable-shared --with-pic

$(LOCAL_OBJS): $(LOCAL_SOURCES)

$(LAME_DIR):
	$(GETLIB) $(LAME).tar.gz

$(LAME_DIR)/Makefile: $(LAME_DIR)
	cd $(LAME_DIR) && ./configure $(DEFAULT_ARGS) --disable-decoder
	$(TOUCH_TARGET)

$(LAMELA): $(LAME_DIR)/Makefile
	cd $(LAME_DIR) && $(MAKE)
	$(TOUCH_TARGET)

$(SHOUT_DIR):
	$(GETLIB) $(SHOUT).tar.gz

$(SHOUT_DIR)/Makefile: $(SHOUT_DIR)
	cd $(SHOUT_DIR) && ./configure $(DEFAULT_ARGS) --with-speex=no --without-vorbis
	$(TOUCH_TARGET)

$(SHOUTLA): $(SHOUT_DIR)/Makefile
	cd $(SHOUT_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/languages/mod_spidermonkey_odbc/Makefile ===
switch_srcdir=../../../..

include ../mod_spidermonkey/sm.mak

=== src/mod/xml_int/mod_xml_rpc/Makefile ===
BASE=../../../..
XMLRPC_DIR=$(BASE)/libs/xmlrpc-c

#XMLRPCLAS  = $(XMLRPC_DIR)/src/libxmlrpc.la 
#dont ask...
XMLRPCLAS  = $(XMLRPC_DIR)/src/*.o
XMLRPCLAS += $(XMLRPC_DIR)/src/libxmlrpc_server.la 
XMLRPCLAS += $(XMLRPC_DIR)/src/libxmlrpc_server_abyss.la $(XMLRPC_DIR)/lib/abyss/src/libxmlrpc_abyss.la
XMLRPCLAS += $(XMLRPC_DIR)/lib/expat/xmlparse/libxmlrpc_xmlparse.la $(XMLRPC_DIR)/lib/expat/xmltok/libxmlrpc_xmltok.la

LOCAL_LIBADD =$(XMLRPCLAS)
LOCAL_CFLAGS=-I$(XMLRPC_DIR)/include

include $(BASE)/build/modmake.rules

$(XMLRPCLAS): $(XMLRPC_DIR) $(XMLRPC_DIR)/.update
	cd $(XMLRPC_DIR) && $(MAKE)
	$(TOUCH_TARGET)

=== debian/changelog ===
freeswitch (1.0~rc3-1) unstable; urgency=low
   * Enhance xml menu system
     fixes upstream from sofia-sip library
     Enhance mod_fifo
     added close method to ODBC spidermonkey class
     Fix multiple bugs in the cpp wrapper used in mod_java and mod_python
     Fix hung sip channel issue using respond app or on re-invite with bypass media after 1xx or 2xx responses

 -- Michael Jerris <mike@jerris.com>  Wed, 9 Apr 2008 12:58:22 -0400
    

freeswitch (1.0~rc2-1) unstable; urgency=low
   * Fixed speex protocol negotiation issues (8k vs 16k)
     Fixed mod_iax race conditions
     Fixed ptime negotiation issues when re-packetizing
     Added ip based acl lists
	
 -- Michael Jerris <mike@jerris.com>  Wed, 9 Apr 2008 12:58:22 -0400
    

freeswitch (1.0~rc1-1) unstable; urgency=low
  * loads of fixes
    new cdr-csv module
    new spidermonkey-curl module

 -- Michal Bielicki <michal.bielicki@voiceworks.pl>  Mon, 14 Jan 2008 23:37:04 +0100
    

freeswitch (1.0~beta3-1) unstable; urgency=low

  * Additional scripts for changing the user to freeswitch
    Added Startup Scripts
    Monit integration
    Settings file for integration into init 
    init.d file
    added user freeswitch to own and run all off freeswitch
    cleaned up config file control
    new upstream release
    split off codec pakcages
    split off spidermonkey packages

 -- Michal Bielicki <michal.bielicki@voiceworks.pl>  Tue, 27 Nov 2007 13:20:21 +0100

freeswitch (1.0~beta2-1) unstable; urgency=low

  * New upstream release

 -- Paul van Genderen <paulvg@member.fsf.org>  Wed, 17 Oct 2007 19:32:09 +0200

freeswitch (1.0~beta1-1) unstable; urgency=low

  * New packages.

 -- Robert McQueen <robot101@debian.org>  Sun, 12 Nov 2006 17:32:23 -0500

=== debian/control ===
Source: freeswitch
Maintainer: Michal Bielicki <michal.bielicki@voiceworks.pl>
Section: net
Priority: extra
Build-Depends: debhelper (>= 5), automake1.9, autoconf, libtool, unixodbc-dev, libasound2-dev, libcurl3-dev, libssl-dev, ncurses-dev
Standards-Version: 3.7.2

Package: freeswitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unixodbc, libasound2, libcurl3, openssl, libncurses5
Suggests: monit
Description: A telephony platform that really kicks some ass...
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.
Homepage: http://www.freeswitch.org/

Package: freeswitch-spidermonkey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: A Javascript engine for freeswitch
Homepage: http://www.freeswitch.org/

Package: freeswitch-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Development Package for the FreeSwitch open source telephony platform
Homepage: http://www.freeswitch.org/

Package: freeswitch-codec-passthru-g7231
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through g723.1 Codec support for the FreeSWITCH open source telephony platform
Homepage: http://www.freeswitch.org/

Package: freeswitch-codec-passthru-amr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through AMR Codec support for the FreeSWITCH open source telephony platform
Homepage: http://www.freeswitch.org/

Package: freeswitch-codec-passthru-g729
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Pass through g729 Codec support for the FreeSWITCH open source telephony platform
Homepage: http://www.freeswitch.org/

Package: freeswitch-lang-en
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: English language files for the FreeSWITCH open source telephony platform
Homepage: http://www.freeswitch.org/

Package: freeswitch-lang-de
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: German language files for the FreeSWITCH open source telephony platform
Homepage: http://www.freeswitch.org/

Package: freeswitch-lang-fr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: French language files for the FreeSWITCH open source telephony platform
Homepage: http://www.freeswitch.org/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export DH_OPTIONS
export DH_COMPAT=4
export DEB_DH_INSTALL_SOURCEDIR=debian/tmp
export PASSTHRU_CODEC_MODULES=codecs/mod_g729 codecs/mod_g723_1 codecs/mod_amr
export SPIDERMONKEY_MODULES=languages/mod_spidermonkey languages/mod_spidermonkey_core_db languages/mod_spidermonkey_odbc languages/mod_spidermonkey_socket languages/mod_spidermonkey_teletone
export APPLICATIONS_MODULES=applications/mod_commands applications/mod_conference applications/mod_dptools applications/mod_enum applications/mod_esf applications/mod_expr applications/mod_fifo applications/mod_limit applications/mod_rss applications/mod_voicemail applications/mod_fsv
export ASR_TTS_MODULES=asr_tts/mod_openmrcp
export CODECS_MODULES=codecs/mod_ilbc codecs/mod_h26x codecs/mod_speex mod_voipcodecs
export DIALPLANS_MODULES=dialplans/mod_dialplan_asterisk dialplans/mod_dialplan_directory dialplans/mod_dialplan_xml
export DIRECTORIES_MODULES=
export DOTNET_MODULES=
export ENDPOINTS_MODULES=endpoints/mod_dingaling endpoints/mod_iax endpoints/mod_portaudio endpoints/mod_sofia endpoints/mod_woomera ../../libs/openzap/mod_openzap
export EVENT_HANDLERS_MODULES=event_handlers/mod_event_multicast event_handlers/mod_event_socket
export FORMATS_MODULES=formats/mod_local_stream formats/mod_native_file formats/mod_sndfile formats/mod_tone_stream
export LANGUAGES_MODULES=
export LOGGERS_MODULES=loggers/mod_console loggers/mod_logfile loggers/mod_syslog
export SAY_MODULES=say/mod_say_de say/mod_say_en say/mod_say_fr
export TIMERS_MODULES=
export DISABLED_MODULES=applications/mod_soundtouch directories/mod_ldap languages/mod_java languages/mod_python languages/mod_spidermonkey_skel ast_tts/mod_cepstral asr_tts/mod_lumenvox endpoints/mod_wanpipe event_handlers/mod_event_test event_handlers/mod_radius_cdr event_handlers/mod_zeroconf formats/mod_shout say/mod_say_it say/mod_say_es say/mod_say_nl
export XML_INT_MODULES=xml_int/mod_xml_rpc  xml_int/mod_xml_curl xml_int/mod_xml_cdr
export MYMODULES=$(PASSTHRU_CODEC_MODULES) $(SPIDERMONKEY_MODULES) $(APPLICATIONS_MODULES) $(ASR_TTS_MODULES) $(CODECS_MODULES) $(DIALPLANS_MODULES) $(DIRECTORIES_MODULES) $(DOTNET_MODULES) $(ENDPOINTS_MODULES) $(EVENT_HANDLERS_MODULES) $(FORMATS_MODULES) $(LANGUAGES_MODULES) $(LOGGERS_MODULES) $(SAY_MODULES) $(TIMERS_MODULES) $(XML_INT_MODULES)
export MODULES=$(MYMODULES)

ifndef AUTOCONF
	AUTOCONFS := $(wildcard /usr/bin/autoconf*)
	AUTOCONF = $(shell which autoconf)
ifneq (,$(findstring 2.50,${AUTOCONFS}))
	AUTOCONF = /usr/bin/autoconf2.50
endif
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


FEATURES = --enable-core-libedit-support --enable-core-odbc-support --with-libcurl --with-openssl

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	FEATURES += --disable-optimization
endif

config.status: configure
	dh_testdir
	rm modules.conf
	touch modules.conf
	echo $(MODULES)
	for i in $(MODULES); do echo $$i >> modules.conf; done
	./configure --prefix=/opt/freeswitch \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		CFLAGS="-D__VIA_HACK__" ${FEATURES}

configure: bootstrap.sh
	AUTOCONF=${AUTOCONF} ./bootstrap.sh

build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) clean megaclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub build/config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess build/config/config.guess
endif
	rm -f config.status
	rm -f */*/config.status
	rm -f */*/*/config.status
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -A --sourcedir=debian/tmp

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
	dh_installinit --sourcedir=debian/tmp
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
#	dh_installman
	cp debian/monit/freeswitch.monitrc debian/freeswitch/etc/monit/freswitch.monitrc
	cp debian/default/freeswitch debian/freeswitch/etc/default
	dh_install --sourcedir=debian/tmp
	dh_strip
	dh_compress
	dh_fixperms --exclude /opt/freeswitch/conf
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps --exclude=/opt/freeswitch
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
